Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaAwareCompilationUnit

Created by IntelliJ IDEA. User: Alex.Tkachman Date: May 31, 2007 Time: 6:48:28 PM

Field Summary
`JavaCompilerFactory` | `compilerFactory`
`File` | `generationGoal`
`LinkedList` | `javaSources`
`JavaStubGenerator` | `stubGenerator`

Constructor Summary
`JavaAwareCompilationUnit(CompilerConfiguration configuration)`
`JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`

Method Summary
`void` | `addJavaSource(File file)`
`void` | `addSources(def paths)`
`void` | `addSources(def files)`
`void` | `configure(CompilerConfiguration configuration)`
`JavaCompilerFactory` | `getCompilerFactory()`
`void` | `gotoPhase(int phase)`
`void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

Constructor Detail

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration)

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

Method Detail

### addJavaSource

    void addJavaSource(File file)

### addSources

    public void addSources(def paths)

### addSources

    public void addSources(def files)

### configure

    public void configure(CompilerConfiguration configuration)

### getCompilerFactory

    public JavaCompilerFactory getCompilerFactory()

### gotoPhase

    public void gotoPhase(int phase)

### setCompilerFactory

    public void setCompilerFactory(JavaCompilerFactory compilerFactory)